Skip to main content
GET
/
open
/
api
/
rpa
/
task
/
getList
Rpa get task list
curl --request GET \
  --url https://user.pmock.com/api/open/api/rpa/task/getList
{
  "traceId": "<string>",
  "total": 123,
  "rows": [
    {
      "id": 123,
      "templateId": 123,
      "stopPhoneFlag": 123,
      "templateName": "<string>",
      "name": "<string>",
      "phoneNum": 123,
      "status": 123,
      "startTime": "<string>",
      "endTime": "<string>",
      "createTime": "<string>",
      "detailTaskCount": 123,
      "sucDetailTaskCount": 123,
      "retryCount": 123,
      "remark": "<string>"
    }
  ],
  "code": 123,
  "msg": "<string>"
}

Query Parameters

pageSize
integer

Number of records displayed per page The default is1,and the maximum number of items in a single query is:1

pageNum
integer

Current page count

name
string

任务名称

status
integer

任务状态

startTime
integer<int64>

任务开始执行范围开始时间

endTime
integer<int64>

任务开始执行范围结束时间

templateName
string

关联流程(模板)名称

Response

200 - application/json
traceId
string

Link ID

total
integer<int64>

Total number of records

rows
object[]

list data

code
integer

Message status code

msg
string

message content